# transitionMysteryEncounterIntroVisuals | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function transitionMysteryEncounterIntroVisuals

- transitionMysteryEncounterIntroVisuals(
  hide?: boolean,
  destroy?: boolean,
  duration?: number,
  ): Promise<boolean>

  #### Parameters

  - hide: boolean = true

    If true, performs ease out and hide visuals. If false, eases in visuals. Defaults to true

  - destroy: boolean = true

    If true, will destroy visuals ONLY ON HIDE TRANSITION. Does nothing on show. Defaults to true

  - duration: number = 750

  #### Returns Promise<boolean>

  - Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:939